Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotLink

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<T>
          org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBotControl<Link>
              org.eclipse.swtbot.swt.finder.widgets.SWTBotLink

    public class SWTBotLink

extends AbstractSWTBotControl<Link>

This represents a `Link` widget.

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotLink(Link w)` Constructs a new instance with the given widget.
`SWTBotLink(Link w, SelfDescribing description)` Constructs a new instance with the given widget.

Method Summary
`AbstractSWTBot<Link>` | `click()` Clicks on this widget.
`AbstractSWTBot<Link>` | `click(String hyperlinkText)` Clicks on the hyperlink with the specified text.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBotControl
`absoluteLocation, click, moveMouseToWidget, rightClick`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`assertEnabled, asyncExec, backgroundColor, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabled, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotLink

    public SWTBotLink(Link w)
               throws WidgetNotFoundException

  Constructs a new instance with the given widget.

  Parameters:
    `w` - the widget.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

### SWTBotLink

    public SWTBotLink(Link w,
                      SelfDescribing description)
               throws WidgetNotFoundException

  Constructs a new instance with the given widget.

  Parameters:
    `w` - the widget.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### click

    public AbstractSWTBot<Link> click()

  Description copied from class: `AbstractSWTBot`
  Clicks on this widget.

  Overrides:
    `click` in class `AbstractSWTBot<Link>`
  Returns:
    itself.

### click

    public AbstractSWTBot<Link> click(String hyperlinkText)

  Clicks on the hyperlink with the specified text.

  Parameters:
    `hyperlinkText` - the text of the hyperlink in case there are more than one hyperlinks.
  Returns:
    itself.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD